<?php
/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/06_Customer_Center/10_Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */
/**
 * THIS CLASS IS GENERATED BY MODULE BUILDER
 * PLEASE DO NOT CHANGE THIS CLASS
 * PLACE ANY CUSTOMIZATIONS IN Z1_Animals
 */


class Z1_Animals_sugar extends Basic {
    public $new_schema = true;
    public $module_dir = 'Z1_Animals';
    public $object_name = 'Z1_Animals';
    public $table_name = 'z1_animals';
    public $importable = true;
    public $team_id;
    public $team_set_id;
    public $team_count;
    public $team_name;
    public $team_link;
    public $team_count_link;
    public $teams;
    public $assigned_user_id;
    public $assigned_user_name;
    public $assigned_user_link;
    public $tag;
    public $tag_link;
    public $id;
    public $name;
    public $date_entered;
    public $date_modified;
    public $modified_user_id;
    public $modified_by_name;
    public $created_by;
    public $created_by_name;
    public $description;
    public $deleted;
    public $created_by_link;
    public $modified_user_link;
    public $activities;
    public $following;
    public $following_link;
    public $my_favorite;
    public $favorite_link;
    public $animal_id;
    public $room_id;
    public $bodyweight;
    public $last_date_weighed;
    public $husbandry_status;
    public $abnormality;
    public $vendor;
    public $sex;
    public $breed;
    public $date_received;
    public $usda_class;
    public $usda_id;
    public $species;
    public $initial_lawsonia_vaccination;
    public $booster_1;
    public $booster_2;
    public $booster_3;
    public $booster_4;
    public $booster_5;
    public $booster_6;
    public $deceased;
    
    /**
     * @deprecated Use __construct() instead
     */
    public function Z1_Animals_sugar()
    {
        self::__construct();
    }

    /**
     * Constructor
     */
    public function __construct()
    {
        parent::__construct();
    }

    public function bean_implements($interface){
        switch($interface){
            case 'ACL': return true;
        }
        return false;
    }
    
}